Subject: Re: irq

From: Sébastien Chrétien<[email-masked]>
Date: Wed, 03 Sep 2008 18:36:39 +0200

Ok I will try irq_create_mapping tomorrow.
When have I to use this function ?
I am using a MPC7448.

M B a écrit :
> Hi,
>
> this seems to be the same problem I had, when registering an irq with UIO.
>
> On Wed, Sep 3, 2008 at 5:03 PM, Sébastien Chrétien
> <[email-masked]> wrote:
>   
>> The failure referes to setup_irq :
>> desc->chip == &no_irq_chip is true
>>
>> What is irq_desc and how can I initialize it ?
>>     
>
> I did use irq_create_mapping, to initialize this struct. However I
> have no idea if this was right. It seemed to work at first, but I'm
> encountering problems now, however I don't know if they come from the
> kernel, or UIO interrupt handler. I did this for some test, but irqs
> are something you want to be sure they work correctly.
>
> So maybee someone could clarify this as we already raise this issue.
>
> What processor are you using Sebastien? My one is a 405EP
>
> Best Regards
>
> Markus
>
>
>